Subject: Re: [Netconf] comments on draft-gonzalez-netconf-5277bis01

From: "Eric Voit (evoit)" <[email-masked]>
Date: Mon, 4 Apr 2016 16:31:40 +0000

Hi Martin,

On your questions for use with protocols other than Netconf...    I am hoping that draft-voit-netconf-restconf-yang-push can specify how to do transport for Restconf & HTTP2.  (I.e., the draft would works as mechanism for both YANG Push and 5277bis subscriptions.)   This is one of the main discussion points I am hoping to have in the WG meeting on Thursday.

But as Alberto points out, this is work in progress, so we will see where this goes.

Eric

> Alberto Gonzalez Prieto, April 04, 2016 3:30 AM

> Thanks Martin,

> You are correct, like Andy, in pointing this out. This is work-in-progress, but not

> marked as such. Sorry about that.

> I will add to the draft a list of work-in-progress items to facilitate the discussion.

> Eric will present the list in BA.

> Thanks,

> Alberto

> On 4/3/16, 10:19 PM, "Netconf on behalf of Martin Bjorklund"

> <[email-masked] on behalf of [email-masked]> wrote:

> >Hi,

> >This draft proposes "static subscriptions" (configured subscriptions).

> >Such a subscription is a stream, filter, and a list of receivers.  A

> >receiver is an IP address, a port, and a protocol.

> >But the draft doesn't explain what a server should do when it has

> >soemthing to send.  How will it contact the receivers?  Will it act as

> >a NETCONF client?  Will it use call-home (if so, why is the

> >address/port defined here?)  How is this supposed to be used with other

> >protocols - the model allows other protocols even though the only

> >current one defined is NETCONF.

> >/martin

> >_______________________________________________

> >Netconf mailing list

> >[email-masked]

> >https://www.ietf.org/mailman/listinfo/netconf

> _______________________________________________

> Netconf mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/netconf